Bug 52765 - xftcache segfaults on gsf fonts
Summary: xftcache segfaults on gsf fonts
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-28 20:13 UTC by Sammy
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-28 20:13:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sammy 2001-08-28 20:13:39 UTC
Description of Problem:

This may not be considered a bug but I put all my Type1 fonts,
including the Ghostscript fonts into one directory. Ghostscript
includes 4-5 gsf files. When these are in that directory executing
xftcache gives a segfault. When they are removed it works ok.
FYI

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Mike A. Harris 2001-09-01 11:46:46 UTC
Hmm.  That is a mixed one...  Nothing should segfault if programmed
correctly, so I'd have to agree there is a bug.  I'm not sure however
what the correct operation should be to handle the situation.  My
first inclination is to say that gsf fonts are not Type1 fonts and
shouldn't be in that directory.  WHile that may be true, it still
shouldn't segfault though.  This problem is better looked into by
those upstream at XFree86 who are more familiar with font related
issues.

Please file this bug report to XFree86 developers at:
http://www.xfree86.org/cgi-bin/bugform.cgi

Thanks.



Note You need to log in before you can comment on or make changes to this bug.